Behaviours script broken after upgrade and update

Upgraded JIRA server instance from 5.0.4 to 5.1 this Sunday (yesterday). Mandatory update of Groovy (thereafter renamed Script Runner) to 2.1.15

Behaviours has script to select JIRA component relative to two custom field options. This script is no longer working, except for the error message line at bottom. The field on our issue info tab is no longer being populated at all, let alone as dependent upon the two custom fields.

Are the two plugins now fighting? Or is it due to the upgrade to 5.1? 

I can't seem to get a straight answer from anywhere or anyone. Atlassian just directed me to Jaime, and I have no idea if that's even the problem here. This is a show-stopping issue, so I really need answers. 

Advised via https://marketplace.atlassian.com/plugins/com.onresolve.jira.groovy.groovyrunner#support Adaptavist runs Script Runner, and to submit support REQ through here.

1 answer

1 vote

Behaviours wasn't merged into Script Runner until 3.0, so you will still need both, as you are on a very old version of jira. If you use the latest compatible version of both you should be fine.

@Jamie Echlin (Adaptavist) Reference https://jamieechlin.atlassian.net/browse/GRV-728 as well as original issue https://support.atlassian.com/servicedesk/customer/portal/22/JSP-233741 It definitely is not fine, unfortunately... We have ScriptRunner 2.1.15 and Behaviours 0.5.3 The dropdowns are not tying to the Components field as specified within the previously operational script. Same with the behavior of the Root SR field script. See GRV-728 please!

Did Atlassian not tell you that jira 5.1 is out of support? Are there any errors in your log file?

I don't understand why you upgraded to such an old version... it's extremely hard to imagine what might be the problem with a version that's 2.5 years old. But please have a look what's in your log file.

@Jamie Echlin (Adaptavist) They did mention that JIRA 5.1 is EOL. I will pull the log file as indicated... We upgraded to an old version from 5.0.4 due to having integration with NetSuite. I was under the impression that older versions of JIRA would not be able to have this integration with NetSuite.

I have the log file - would you like me to attach it to the GRV issue?

Suggest an answer

Log in or Sign up to answer
Atlassian Community Anniversary

Happy Anniversary, Atlassian Community!

This community is celebrating its one-year anniversary and Atlassian co-founder Mike Cannon-Brookes has all the feels.

Read more
Community showcase
Julia Dillon
Posted Tuesday in Jira

Tell us how your team runs on Jira!

Hey Atlassian Community! Today we are launching a bunch of customer stories about the amazing work teams, like Dropbox and Twilio, are doing with Jira. You can check out the stories here. The thi...

246 views 1 18
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you